Open SCAP Library

Public Member Functions | Data Fields
xccdf_message Struct Reference
XCCDF

XCCDF message. More...

`#include <xccdf_benchmark.h>`

## Public Member Functions
struct xccdf_message * | xccdf_message_new (void)
struct xccdf_message * | xccdf_message_clone (const struct xccdf_message *message)
void | xccdf_message_free (struct xccdf_message *msg)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
xccdf_message_severity_t | xccdf_message_get_severity (const struct xccdf_message *item)
const char * | xccdf_message_get_content (const struct xccdf_message *item)
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
bool | xccdf_message_set_severity (struct xccdf_message *obj, xccdf_message_severity_t newval)
bool | xccdf_message_set_content (struct xccdf_message *obj, const char *newval)

## Data Fields
xccdf_message_severity_t | severity
char * | content

## Detailed Description

XCCDF message.

See also
  xccdf_rule_result

The documentation for this struct was generated from the following files:

- item.h
- xccdf_benchmark.h